import settings from '@/settings'
import request from '@/utils/request'
const systemPrefix = settings.systemPrefix
/**
 * 获取下拉数据
 * 1.根据字段名、表名获取下拉数据
 * 2.自定义url，获取下拉数据
 * @param url  请求地址
 * @param data 请求参数
 */
export function getOptions(url,data) {
  return request({
    url: `${systemPrefix}${url}`,
    method: 'post',
    data
  })
}
export function getDepartmentTree(url,data) {
  return request({
    url: `${systemPrefix}${url}`,
    method: 'post',
    requestType: 'json',
    data
  })
}
export function queryIPageRoles(url,data) {
  return request({
    url: `${systemPrefix}${url}`,
    method: 'post',
    requestType: 'json',
    data
  })
}

/**
 * 导出方法
 * @param url       请求地址
 * @param headers   请求头
 * @param data      请求参数
 */
export function executeExport(url,headers,rquestConfig) {
  return request({
    ...rquestConfig,
    url: `${systemPrefix}${url}`,
    responseType: 'blob',
    headers,
  })
}
